<?php

/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Restricted access');




JFactory::getDocument()->addScriptDeclaration("
	Joomla.submitbutton = function(task)
	{
		if (task.indexOf('.cancel')>0 
		        || document.formvalidator.isValid(document.getElementById('adminForm'))) {
			
			Joomla.submitform(task, document.getElementById('adminForm'));
		}
	};
");

$app = \Joomla\CMS\Factory::getApplication();
$app->setHeader('cross-origin-opener-policy','unsafe-none', true);

?>

<p class="well">
    <strong><?php echo JText::_('COM_EVENTGALLERY_GOOGLEPHOTOSACCOUNTS_HELP_PUBLISH_APP'); ?></strong><br><br>
    <a href="<?php echo JUri::root()?>/media/com_eventgallery/backend/img/google_photos_publish_app.png" target="_blank"><img style="max-width:100%; width: 300px" src="<?php echo JUri::root()?>/media/com_eventgallery/backend/img/google_photos_publish_app.png"></a>
</p>

<form class="form-validate" action="<?php echo JRoute::_('index.php?option=com_eventgallery&layout=edit&id='.(int) $this->item->id); ?>" method="POST" name="adminForm" id="adminForm">
    <?php echo $this->loadSnippet('formfields'); ?>

    <?php echo JHtml::_('form.token'); ?>
    <input type="hidden" name="option" value="com_eventgallery" />
    <input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
    <input type="hidden" name="task" value="" />
</form>
